Bug 68974 - libGL is linked against binaries that do not require it.
libGL is linked against binaries that do not require it.
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-07-16 13:13 EDT by David Richards
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 09:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Richards 2002-07-16 13:13:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a+) Gecko/20020715

Description of problem:
We are a large RH customer, and have hundreds of people using KDE on thin
clients.  We have built a system to test Limbo and begin moving towards KDE 3.x.
 The problem is that libGL is linked against many of the KDE binaries and is not
required in order for them to work.  libGL is a licensed features on our
terminals that is not enabled.  As far as I can tell, libGL should only be
linked against a few of the packages in kdegraphics and that is it.  This issue
would prohibit an upgrade path to the next release of RH when it comes out, it
physically won't run on the terminals.

Removing this library from most of the packages should reduce their size too.

Here is an example-->
[root@test bin]# ldd kdm_greet
        libXtst.so.6 => /usr/X11R6/lib/libXtst.so.6 (0x40013000)
        libkdeui.so.4 => /usr/lib/libkdeui.so.4 (0x40019000)
        libkdecore.so.4 => /usr/lib/libkdecore.so.4 (0x40235000)
        libDCOP.so.4 => /usr/lib/libDCOP.so.4 (0x40393000)
        libdl.so.2 => /lib/libdl.so.2 (0x403e1000)
        libkdefx.so.4 => /usr/lib/libkdefx.so.4 (0x403e4000)
        libstdc++.so.4 => /usr/lib/libstdc++.so.4 (0x4040b000)
        libqt-mt.so.3 => /usr/lib/qt-3.0.4/lib/libqt-mt.so.3 (0x404b5000)
        libpng12.so.0 => /usr/lib/libpng12.so.0 (0x40af0000)
        libz.so.1 => /usr/lib/libz.so.1 (0x40b13000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40b21000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x40b2f000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x40c0c000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x40c1f000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x40c28000)
        libpthread.so.0 => /lib/i686/libpthread.so.0 (0x40c3f000)
        libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x40c53000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x40c58000)
        libm.so.6 => /lib/i686/libm.so.6 (0x40c60000)
        libc.so.6 => /lib/i686/libc.so.6 (0x42000000)
        libcups.so.2 => /usr/lib/libcups.so.2 (0x40c83000)
        libmng.so.1 => /usr/lib/libmng.so.1 (0x40c9d000)
        libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x40ce1000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0x40cff000)
        libXmu.so.6 => /usr/X11R6/lib/libXmu.so.6 (0x40d73000)
        libXft.so.2 => /usr/lib/libXft.so.2 (0x40d89000)
        libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x40d9a000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
        libssl.so.2 => /lib/libssl.so.2 (0x40db2000)
        libcrypto.so.2 => /lib/libcrypto.so.2 (0x40de2000)
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x40eb6000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x40f09000)
        libexpat.so.0 => /usr/lib/libexpat.so.0 (0x40f52000)
[root@test bin]# 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install Limbo on Server
2. Attempt to use XDMCP to log into KDE 
3. GL license fails.

Additional info:
Comment 1 Bill Nottingham 2002-07-16 22:57:42 EDT
Qt is linked against libGL, therefore apps inherit the dependency.
Comment 2 David Richards 2004-09-22 09:41:46 EDT
I'm going to close this bug.  We moved off of KDE partly because of
this, and are now running GNOME.

Note You need to log in before you can comment on or make changes to this bug.